Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class GetEventDurationsFromEC

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.GetEventDurationsFromEC

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetEventDurationsFromECResult>, net.customware.gwt.dispatch.shared.Action<GetEventDurationsFromECResult>

    public class GetEventDurationsFromEC

extends java.lang.Object
implements OSAction<GetEventDurationsFromECResult>

Retrieves the Work Item Durations from Event Collector for a given process instance.

This includes `EventDuration` details for each Work Item in the process.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `GetEventDurationsFromECResult`

Constructor Summary
`GetEventDurationsFromEC(java.lang.String processId)` Construct a new GetEventDurationsFromEC Action

Method Summary
`java.lang.String` | `getProcessId()` The process ID to retrieve durations for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetEventDurationsFromEC

    public GetEventDurationsFromEC(java.lang.String processId)

  Construct a new GetEventDurationsFromEC Action

  Parameters:
    `processId` - The process ID to retrieve durations for. parameter processID should be supplied within single quotes

Method Detail

### getProcessId

    public java.lang.String getProcessId()

  The process ID to retrieve durations for.

  Returns:
    Returns the processId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.